{
  config,
  lib,
  ...
}:
let
  cfg = config.kropcloud.services.ssh;
in
{
  options.kropcloud.services.ssh = {
    enable = lib.mkEnableOption "Whence to enable sshd service.";
  };
  config = lib.mkIf cfg.enable {
    services.openssh = {
      enable = true;
      settings = {
        PermitRootLogin = "no";
        PasswordAuthentication = false;
      };
    };
  };
}
